using FitConnect.Encryption;
using FitConnect.Models;
using FluentAssertions;
using Newtonsoft.Json;
using NJsonSchema;
using NUnit.Framework;

namespace IntegrationTests.Subscriber;

[TestFixture]
public class SubscriberTestUnHappyPath : SubscriberTestBase {
    [Test]
    public void TestMetaData_InvalidData() {
        // Arrange
        var wrongData = "{\"name\":\"value\"}";

        // Act
        var valid = JsonHelper.VerifyMetadata(wrongData,
            JsonSchema.FromUrlAsync(Metadata.SchemaUrl).Result);

        // Assert
        valid.Should().BeFalse();
    }

    [Test]
    public void TestMetaData_EmptyString() {
        // Arrange
        var wrongData = "";

        // Act && Assert
        Assert.Throws<JsonReaderException>(() => {
            var valid = JsonHelper.VerifyMetadata(wrongData,
                JsonSchema.FromUrlAsync(Metadata.SchemaUrl).Result, Logger);
        });
    }
}
